# $Revision: 1.15 $, $Date: 2001/05/28 17:40:24 $
Summary:	libmorph Morphing Library
Summary(pl):	libmorph biblioteka do morfingu
Name:		libmorph
Version:	0.1.2
Release:	4
License:	GPL
Group:		X11/Libraries
Group(de):	X11/Libraries
Group(es):	X11/Bibliotecas
Group(pl):	X11/Biblioteki
Source0:	http://wine.sexcity.pl/morpheus/%{name}-%{version}.tar.gz
URL:		http://wine.sexcity.pl/morpheus/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
A library that provides loaders for various popular formats of meshes
(3d modeler object files). The meshes are stored in memory in
structures and arrays easily accessible via 3D rendering API's like
OpenGL[TM].

%description -l pl
LibMorph wspomaga wywietlanie projektw 3D, w chwili obecnej
wspomaga:
 - LWO - LightWave
 - 3DS - 3D Studio

%package devel
Summary:	LibMorph development
Summary(pl):	LibMorph development
Group:		X11/Development/Libraries
Group(de):	X11/Entwicklung/Libraries
Group(pl):	X11/Programowanie/Biblioteki
Requires:	%{name} = %{version}

%description devel
Header files, and debug information.

%description -l pl devel
Pliki nagwkowe potrzebne do kompilacji programw uywajcych
libmorph.

%package static
Summary:	LibMorph static
Summary(pl):	LibMorph static
Group:		X11/Development/Libraries
Group(de):	X11/Entwicklung/Libraries
Group(pl):	X11/Programowanie/Biblioteki
Requires:	%{name}-devel = %{version}

%description static
Static library of libmorph.

%description -l pl static
Biblioteka libmorph linkowna statycznie.

%prep
%setup -q

%build
libtoolize --copy --force
aclocal
autoconf
rm -f missing
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf AUTHORS ChangeLog NEWS README TODO

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmorph*.so.*.*.*
%dir %{_libdir}/morph
%dir %{_libdir}/morph/loaders
%attr(755,root,root) %{_libdir}/morph/loaders/*.so

%files devel
%defattr(644,root,root,755)
%doc *.gz
%attr(644,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%attr(755,root,root) %{_libdir}/morph/loaders/*.la
%{_includedir}/morph

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_libdir}/morph/loaders/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libmorph.spec,v $
Revision 1.15  2001/05/28 17:40:24  kloczek
- release 4,
- fix building on sparc: regenerate ac/am/lt files.

Revision 1.14  2001/05/27 16:41:33  kloczek
- relase 3.

Revision 1.13  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.12  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.11  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/06/07 03:01:13  kloczek
- spec adapterized.

Revision 1.9  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/31 10:26:00  kloczek
- s/config/ldconfig/.

Revision 1.7  2000/03/31 10:21:15  kloczek
- added stripping loaders.

Revision 1.6  2000/03/31 10:16:01  kloczek
- spec adapterized,
- some cleanups.

Revision 1.5  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.4  2000/03/28 12:34:24  cieciwa
- typo.

Revision 1.3  2000/03/28 12:33:38  cieciwa
- added missing %%post and %%postun.

Revision 1.2  2000/03/28 12:29:09  cieciwa
- added devel and static package,
- fixes %% description fields,
- stripped shared libs.

Revision 1.1  2000/03/28 11:52:16  cieciwa
- initial spec.
